=== modified file 'bzrlib/remote.py'
--- bzrlib/remote.py	2007-10-31 22:33:53 +0000
+++ bzrlib/remote.py	2007-11-03 13:47:54 +0000
@@ -259,10 +259,10 @@
         self._lock_count = 0
         self._leave_lock = False
         # for tests
-        self._reconcile_does_inventory_gc = True
-        self._reconcile_fixes_text_parents = True
-        # This depends on the actual remote format, so force it off for maximum
+        # These depend on the actual remote format, so force it off for maximum
         # compatibility.
+        self._reconcile_does_inventory_gc = False
+        self._reconcile_fixes_text_parents = False
         self._reconcile_backsup_inventory = False
         self.base = self.bzrdir.transport.base
 

=== modified file 'bzrlib/tests/repository_implementations/helpers.py'
--- bzrlib/tests/repository_implementations/helpers.py	2007-10-31 22:33:53 +0000
+++ bzrlib/tests/repository_implementations/helpers.py	2007-11-03 13:47:54 +0000
@@ -56,10 +56,11 @@
             inv = inventory.Inventory(revision_id='revision-id')
             inv.root.revision = 'revision-id'
             inv_sha1 = repo.add_inventory('revision-id', inv, [])
-            root_id = inv.root.file_id
-            vf = repo.weave_store.get_weave_or_empty(root_id,
-                repo.get_transaction())
-            vf.add_lines('revision-id', [], [])
+            if repo.supports_rich_root():
+                root_id = inv.root.file_id
+                vf = repo.weave_store.get_weave_or_empty(root_id,
+                    repo.get_transaction())
+                vf.add_lines('revision-id', [], [])
             revision = _mod_revision.Revision('revision-id',
                 committer='jrandom@example.com', timestamp=0,
                 inventory_sha1=inv_sha1, timezone=0, message='message',

=== modified file 'bzrlib/tests/repository_implementations/test_check_reconcile.py'
--- bzrlib/tests/repository_implementations/test_check_reconcile.py	2007-10-31 23:28:03 +0000
+++ bzrlib/tests/repository_implementations/test_check_reconcile.py	2007-11-03 13:47:54 +0000
@@ -58,10 +58,11 @@
         """
         inv.revision_id = revision_id
         inv.root.revision = revision_id
-        root_id = inv.root.file_id
-        vf = repo.weave_store.get_weave_or_empty(root_id,
-            repo.get_transaction())
-        vf.add_lines(revision_id, [], [])
+        if repo.supports_rich_root():
+            root_id = inv.root.file_id
+            vf = repo.weave_store.get_weave_or_empty(root_id,
+                repo.get_transaction())
+            vf.add_lines(revision_id, [], [])
         repo.add_inventory(revision_id, inv, parent_ids)
         revision = Revision(revision_id, committer='jrandom@example.com',
             timestamp=0, inventory_sha1='', timezone=0, message='foo',

